# $Id: hiera-gpg.spec 1354 2013-11-02 23:52:24Z rpmbuild $
# repo: RE
# restrictions:

# Fedora 17 ships with ruby 1.9, which uses vendorlibdir instead
# of sitelibdir
%if 0%{?fedora} >= 17
%global hiera_libdir   %(ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')
%else
%global hiera_libdir   %(ruby -rrbconfig -e 'puts RbConfig::CONFIG["sitelibdir"]')
%endif

Summary: A backend for Hiera that supports GPG coded YAML files
Name: hiera-gpg
Version: 1.1.0
Release: %RErelease 1
Group: System Environment/Base
License: ASL 2.0
URL: http://github.com/crayfishx/hiera-gpg
Source0: https://github.com/crayfishx/%{name}/archive/%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ruby(abi) >= 1.8
BuildRequires: ruby >= 1.8.5
BuildRequires: rpm-macros-razorsedge
Requires: ruby(abi) >= 1.8
Requires: ruby >= 1.8.5
Requires: hiera
Requires: rubygem(gpgme) >= 2.0.0
BuildArch: noarch

%description
hiera-gpg allows you to place your YAML in a GPG encoded file which can be read
by Hiera on the command line or via Puppet on any machine that has a valid
secret key.

%prep
%setup -q

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{hiera_libdir}
%{__cp} -pr lib/hiera $RPM_BUILD_ROOT/%{hiera_libdir}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.md
%{hiera_libdir}/hiera

%changelog
* Sun Oct 27 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.1.0-1
- First build.

